/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package org.apache.tuscany.sca.test.corba.types;

import org.apache.tuscany.sca.test.corba.generated.RichStruct;
import org.apache.tuscany.sca.test.corba.generated.ScenarioOne;
import org.apache.tuscany.sca.test.corba.generated.ScenarioOneOperations;
import org.apache.tuscany.sca.test.corba.generated.UnexpectedException;
import org.apache.tuscany.sca.test.corba.generated.WrongColor;
import org.osoa.sca.annotations.Reference;

/**
 * @version $Rev: 685917 $ $Date: 2008-08-14 15:29:38 +0100 (Thu, 14 Aug 2008) $
 * Component for reference using generated interface.
 */
public class ScenarioOneComponent implements ScenarioOneOperations {

    private ScenarioOne scenarionOne;

    @Reference
    public void setScenarioOne(ScenarioOne scenarioOne) {
        this.scenarionOne = scenarioOne;
    }

    public RichStruct setRichStruct(RichStruct richStruct) throws WrongColor, UnexpectedException {
        return scenarionOne.setRichStruct(richStruct);
    }

}
