/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */

package sample;

import org.osoa.sca.annotations.Reference;
import org.osoa.sca.annotations.Service;

/**
 * @version $Rev: 535759 $ $Date: 2007-05-07 07:43:44 +0100 (Mon, 07 May 2007) $
 */
@Service(Service1.class)
public class ComponentAImpl implements Service1 {

    @Reference(name = "Reference1", required = false)
    protected Service1 ref;

    public String track(String source) {
        if (ref != null) {
            return ref.track(source + "-->ComponentA");
        }
        return source + "-->ComponentA";
    }

}
